Get Task

Get Task
Get task details for a task Id

Get task details for a task Id

Request
URI
GET
https://{api_host}/suite-api/api/salt/tasks/{taskId}
COPY
Path Parameters
string
taskId
Required

Task Id


Authentication
This operation uses the following authentication methods.
Responses
200

Executed Get salt task details for a task Id

Returns SaltTaskDetails of type(s) application/json
{
    "createdTime": 0,
    "description": "string",
    "errorMessages": [
        "string"
    ],
    "lastUpdateTime": 0,
    "taskId": "string",
    "taskStatus": "string",
    "taskType": "string"
}
integer As int64 As int64
createdTime
Optional

Task status creation time, in milliseconds (since midnight January 1, 1970)

string
description
Optional

A description for the task

array of string
errorMessages
Optional

List of error messages that occurred

integer As int64 As int64
lastUpdateTime
Optional

Task status last update time, in milliseconds (since midnight January 1, 1970)

string As uuid As uuid
taskId
Required

The id of the task

string
taskStatus
Required

Status of the task

Possible values are : RUNNING, FAILED, SUCCEEDED, CANCELLED, UNKNOWN, QUEUED,
string
taskType
Required
Constraints: minLength: 1

Salt Task Type

Possible values are : SALT_ENABLEMENT, ROTATE_KEYS, UNKNOWN,

400

Get Resources failed with errors

Operation doesn't return any data structure

404

Salt Task not found

Operation doesn't return any data structure

500

Error while processing Get salt task details for a task Id

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/salt/tasks/{taskId}